HRManagementClientSide/Models/EmployeeFilter.cs
using HRManagementClientSide.Enums;

namespace HRManagementClientSide.Models
{
    public class EmployeeFilter
    {
        public FilteringEmployee PropertyType { get; set; }
        public string PropertyValue { get; set; }
    }
}

HRManagementClientSide/Models/EmployeeModel.cs
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace HRManagementClientSide.Models
{
    public class EmployeeModel
    {
        [Key]
        public Guid Id { get; set; }
        [Required]
        [StringLength(11, MinimumLength = 11, ErrorMessage = "ID Number must be 11 characters.")]
        public string IdentifyNumber { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }
        public DateTime BirthDate { get; set; }
        public string Position { get; set; }
        public string Status { get; set; }
        [Required]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        public DateTime? ReleaseDate { get; set; }
        public string? PhoneNumber { get; set; }

        [ForeignKey("GenderModel")]
        public Guid GenderId { get; set; }
    }
}

HRManagementClientSide/Models/ErrorViewModel.cs
namespace HRManagementClientSide.Models
{
    public class ErrorViewModel
    {
        public string? RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

HRManagementClientSide/Models/UserLoginResponseViewModel.cs
namespace HRManagementClientSide.Models
{
    public class UserLoginResponseViewModel : UserViewModel
    {
        public string AccessToken { get; set; }
        public string RefreshToken { get; set; }
    }
}

HRManagementClientSide/Models/UserLoginViewModel.cs
using System.ComponentModel.DataAnnotations;

namespace HRManagementClientSide.Models
{
    public class UserLoginViewModel
    {
        [Required]
        public string UserName { get; set; }
        [Required]
        [DataType(DataType.Password)]
        public string Password { get; set; }
    }
}

HRManagementClientSide/Models/UserRegistrationViewModel.cs
using System.ComponentModel.DataAnnotations;
using System.Xml.Linq;

namespace HRManagementClientSide.Models
{
    public class UserRegistrationViewModel
    {
        [StringLength(11, MinimumLength = 11, ErrorMessage = "ID Number must be 11 characters.")]
        public string IdentifyNumber { get; set; }

        public string UserName { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }
        public DateTime BirthDate { get; set; }

        [Required]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        [Required]
        public string Password { get; set; }
        [Required]
        [Display(Name = "Confirm password")]
        [Compare("Password", ErrorMessage = "The password and confirmation password do not match.")]
        public string ConfirmPassword { get; set; }
        public Guid GenderId { get; set; }
    }
}

HRManagementClientSide/Models/UserViewModel.cs
using System.ComponentModel.DataAnnotations;

namespace HRManagementClientSide.Models
{
    public class UserViewModel
    {
        public Guid Id { get; set; }
        [StringLength(11, MinimumLength = 11, ErrorMessage = "ID Number must be 11 characters.")]
        public string IdentifyNumber { get; set; }

        public string UserName { get; set; }
        [Required]
        public string FirstName { get; set; }
        [Required]
        public string LastName { get; set; }

        public DateTime BirthDate { get; set; }
        [Required]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        public Guid GenderId { get; set; }
    }
}

HRManagementClientSide/Controllers/AccountsController.cs
using Microsoft.AspNetCore.Mvc;

namespace HRManagementClientSide.Controllers
{
    public class AccountsController : Controller
    {
        private readonly ILogger<AccountsController> _logger;

        public AccountsController(ILogger<AccountsController> logger)
        {
            _logger = logger;
        }
        public IActionResult RegistrationForm()
        {
            return View("~/Views/Accounts/RegistrationForm.cshtml");
        }

    }
}

HRManagementClientSide/Controllers/EmployeeController.cs
using Microsoft.AspNetCore.Mvc;

namespace HRManagementClientSide.Controllers
{
    public class EmployeeController : Controller
    {
        private readonly ILogger<EmployeeController> _logger;

        public EmployeeController(ILogger<EmployeeController> logger)
        {
            _logger = logger;
        }
    }
}

HRManagementClientSide/Controllers/HomeController.cs
using HRManagementClientSide.Models;
using Microsoft.AspNetCore.Mvc;
using System.Diagnostics;

namespace HRManagementClientSide.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

HRManagementClientSide/Views/Accounts/RegistrationForm.cshtml
@model UserRegistrationViewModel
@{
    ViewData["Title"] = "Register";
}

<form asp-controller="Accounts" asp-action="Register" method="post" class="register-form mx-auto my-5" style="max-width: 500px;">
    <h2 class="text-center">HR Register</h2>
    <div class="form-group">
        <label asp-for="IdentifyNumber">ID Number</label>
        <input asp-for="IdentifyNumber" class="form-control" />
        <span asp-validation-for="IdentifyNumber" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="UserName">Username</label>
        <input asp-for="UserName" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FirstName">First Name</label>
        <input asp-for="FirstName" class="form-control" />
        <span asp-validation-for="FirstName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="LastName">Last Name</label>
        <input asp-for="LastName" class="form-control" />
        <span asp-validation-for="LastName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="BirthDate">Birth Date</label>
        <input asp-for="BirthDate" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Email">Email</label>
        <input asp-for="Email" class="form-control" />
        <span asp-validation-for="Email" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Password">Password</label>
        <input asp-for="Password" type="password" class="form-control" />
        <span asp-validation-for="Password" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="ConfirmPassword">Confirm Password</label>
        <input asp-for="ConfirmPassword" type="password" class="form-control" />
        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="GenderId">Gender</label>
        <select asp-for="GenderId" class="form-control">
            <option value="">-- Select Gender --</option>
            <option value="1">Male</option>
            <option value="2">Female</option>
        </select>
    </div>
    <div class="form-group">
        <button type="submit" class="btn btn-primary">Register</button>
        <a href="/Home" class="btn btn-secondary">Cancel</a>
        <a href="/Accounts/Login" class="btn btn-outline-primary">Login</a>
    </div>
</div>
</form>

HRManagementClientSide/Views/Home/Index.cshtml
@model UserLoginViewModel
@{
    ViewData["Title"] = "Home";
}


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="site.css">
</head>
<body>
    <header class="flex-center header-bg">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">
                <a class="navbar-brand" href="./index.html">
                    <img src="https://www.freelogoservices.com/blog/wp-content/uploads/transparent-logo.jpg" alt="HRManagement Logo" class="logo"> Human Resources
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link active sign-up submitBtn" href="/Accounts/RegistrationForm">Sign up</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <form>
    <main class="fullsize">
        <section class="auth">
            <aside class="top">
                <p class="hr-login-page">Hr Login Page</p>
            </aside>
            <aside class="bottom">
                
                <div class="form-group login">
                    <label for="nameInput" class="form-label">Username</label>
                        <input  asp-for="UserName" name="UserName" class="form-control" type="text" placeholder="Enter your username or E-Mail" id="nameInput">
                </div>
                <div class="form-group">
                    <label for="passwordInput" class="form-label">Password</label>
                        <input asp-for="Password" name="Password" class="form-control" type="password" placeholder="Enter your password" id="passwordInput">
                </div>
                <div class="form-group">
                    <button class="btn btn-primary" id="submitBtn">Sign up</button>
                </div>
                </>
            </aside>
        </section>
    </main>
    <</form>
    <footer class="border-top footer text-muted footer-custom">
        <div class="container">
            &copy; 2023 - HR Management - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
</body>
</html>

HRManagementClientSide/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] HRManagement</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/HRManagementClientSide.styles.css" asp-append-version="true" />
</head>
<body>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>